#ifndef INSERTDIALOG_H
#define INSERTDIALOG_H

#include <QDialog>
#include <QtSql/QSqlQuery>
#include <QMessageBox>
#include <QtSql/QSqlError>
#include <sstream>
#include <iostream>
using namespace std;

#include "insertthread.h"

class QCheckBox;
class QLabel;
class QLineEdit;
class QPushButton;

class insertDialog : public QDialog
{
    Q_OBJECT

public:
    insertDialog(QWidget *parent = 0);

private: string NumberToString ( int );


private slots:
    void insertClicked();
	
	public slots:	
	void onNumberChanged(int);

private:
    QPushButton *insertButton;
	insertThread *thread;
	QLabel *lbNumber;
	QLabel *lbHoldConnection;
	QCheckBox *cbHoldConnection;
};

#endif
