#ifndef INSERTTHREAD_H
#define INSERTTHREAD_H

#include <QtSql/QSqlQuery>
#include <QMessageBox>
#include <QtSql/QSqlError>
#include <sstream>
#include <iostream>
#include <QThread>
#include <Windows.h>
#include <Psapi.h>

using namespace std;

class insertThread : public QThread
{
        Q_OBJECT
public:
    insertThread();
    void run();
    void setHoldConnection(bool);

signals: void numberChanged(int);

private:
    bool holdConnection;
    bool createConnection();
    string NumberToString ( int );
    QSqlDatabase db;

    void                writeSystemSize(const QString&);
};

#endif // INSERTTHREAD_H
